<?php

/**
 * laundryes functions and definitions
*	@package WordPress
 * @subpackage laundryes
 * @since laundryes 1.0
 */

/**
 * laundryes only works in WordPress 4.4 or later.
 */
define( 'JKThemes_THEME_PREFIX', 'jkthemes_laundryes_' );
if ( !isset( $redux_demo ) && file_exists( get_template_directory() . '/inc/themeoptions/ReduxCore/options.php' ) ) {
    require_once(  get_template_directory() . '/inc/themeoptions/ReduxCore/options.php' );
}
if( is_admin() )
/*
* Plugin Activation 
*/
require_once(get_template_directory().DIRECTORY_SEPARATOR.'inc'.DIRECTORY_SEPARATOR.'tgm-plugin-activation'.DIRECTORY_SEPARATOR.'plugins.php');


require_once( get_template_directory().'/inc/vc_template.php');
require_once( get_template_directory().'/inc/import.php');
require_once(get_template_directory().'/inc/wp_bootstrap_navwalker.php');
if ( ! function_exists( 'laundryes_setup' ) ) :

/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 *
 * Create your own laundryes_setup() function to override in a child theme.
 *
 * @since laundryes 1.0
 */
function laundryes_setup() {
	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on laundryes, use a find and replace
	 * to change 'laundryes' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'laundryes', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	add_theme_support( 'automatic-feed-links' );

	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-header' );
        add_theme_support( 'custom-background');

	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * @link http://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 1200, 9999 );

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary' => esc_html__( 'Primary Menu', 'laundryes' ),
		'social'  => esc_html__( 'Social Links Menu', 'laundryes' ),
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array(
		'aside',
		'image',
		'video',
		'quote',
		'link',
		'gallery',
		'status',
		'audio',
		'chat',
	) );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, icons, and column width.
	 */
	add_editor_style( array( 'css/editor-style.css', laundryes_fonts_url() ) );
}
endif; // laundryes_setup
add_action( 'after_setup_theme', 'laundryes_setup' );


if ( function_exists( 'add_image_size' ) ) add_theme_support( 'post-thumbnails' );

if ( function_exists( 'add_image_size' ) ) {
    add_image_size( 'laundryes_blog', 750, 417, true );              // Standard Blog Image
   
}

/**
 * Sets the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 *
 * @since laundryes 1.0
 
function laundryes_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'laundryes_content_width', 840 );
}
add_action( 'after_setup_theme', 'laundryes_content_width', 0 );
*/
/**
 * Registers a widget area.
 *
 * @link https://developer.wordpress.org/reference/functions/register_sidebar/
 *
 * @since laundryes 1.0
 */
function laundryes_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'laundryes' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here to appear in your sidebar.', 'laundryes' ),
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h4 class="widget-heading">',
		'after_title'   => '</h4>',
	) );

	register_sidebar( array(
		'name' => esc_html__( 'Footer 1', 'laundryes' ),
		'id' => 'footer1',
		'description' => esc_html__( 'The Bottom widget area for Footer', 'laundryes' ),
		'before_widget' => '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 %2$s" id="%1$s"><div class="footer-item">',
		'after_widget' => '</div></div></div>',
		'before_title' => '<div class="footer-title"><h4>',
		'after_title' => '</h4></div><div class="footer-form">',
	) );
	register_sidebar( array(
		'name' => esc_html__( 'Footer 2', 'laundryes' ),
		'id' => 'footer2',
		'description' => esc_html__( 'The Bottom widget area for Footer', 'laundryes' ),
		'before_widget' => '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 %2$s" id="%1$s"><div class="footer-item">',
		'after_widget' => '</div></div></div>',
		'before_title' => '<div class="footer-title"><h4>',
		'after_title' => '</h4></div><div class="footer-form">',
	) );
	register_sidebar( array(
		'name' => esc_html__( 'Footer 3', 'laundryes' ),
		'id' => 'footer3',
		'description' => esc_html__( 'The Bottom widget area for Footer', 'laundryes' ),
		'before_widget' => '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 %2$s" id="%1$s"><div class="footer-item">',
		'after_widget' => '</div></div></div>',
		'before_title' => '<div class="footer-title"><h4>',
		'after_title' => '</h4></div><div class="footer-form">',
	) );
	register_sidebar( array(
		'name' => esc_html__( 'Footer 4', 'laundryes' ),
		'id' => 'footer4',
		'description' => esc_html__( 'The Bottom widget area for Footerr', 'laundryes' ),
		'before_widget' => '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 %2$s" id="%1$s"><div class="footer-item">',
		'after_widget' => '</div></div></div>',
		'before_title' => '<div class="footer-title"><h4>',
		'after_title' => '</h4></div><div class="footer-form">',
	) );
}
add_action( 'widgets_init', 'laundryes_widgets_init' );

if ( ! function_exists( 'laundryes_fonts_url' ) ) :
/**
 * Register Google fonts for laundryes.
 *
 * Create your own laundryes_fonts_url() function to override in a child theme.
 *
 * @since laundryes 1.0
 *
 * @return string Google fonts URL for the theme.
 */
function laundryes_fonts_url() {
	$fonts_url = '';
	$fonts     = array();
	$subsets   = 'latin,latin-ext';

	/* translators: If there are characters in your language that are not supported by Merriweather, translate this to 'off'. Do not translate into your own language. */
	if ( 'off' !== _x( 'on', 'Merriweather font: on or off', 'laundryes' ) ) {
		$fonts[] = 'Merriweather:400,700,900,400italic,700italic,900italic';
	}

	/* translators: If there are characters in your language that are not supported by Montserrat, translate this to 'off'. Do not translate into your own language. */
	if ( 'off' !== _x( 'on', 'Montserrat font: on or off', 'laundryes' ) ) {
		$fonts[] = 'Montserrat:400,700';
	}

	/* translators: If there are characters in your language that are not supported by Inconsolata, translate this to 'off'. Do not translate into your own language. */
	if ( 'off' !== _x( 'on', 'Inconsolata font: on or off', 'laundryes' ) ) {
		$fonts[] = 'Inconsolata:400';
	}

	if ( $fonts ) {
		$fonts_url = add_query_arg( array(
			'family' => urlencode( implode( '|', $fonts ) ),
			'subset' => urlencode( $subsets ),
		), 'https://fonts.googleapis.com/css' );
	}

	return $fonts_url;
}
endif;

/**
 * Handles JavaScript detection.
 *
 * Adds a `js` class to the root `<html>` element when JavaScript is detected.
 *
 * @since laundryes 1.0
 */

function laundryes_enqueue_typekit() {
   wp_enqueue_script( 'customjs', get_template_directory_uri() . '/js/customjs.js', array('jquery') );
   wp_add_inline_script( 'customjs', "(function(html){html.className = html.className.replace(/\bno-js\b/,'js')})(document.documentElement);" );
}
add_action( 'wp_enqueue_scripts', 'laundryes_enqueue_typekit' );

/**
 * Enqueues scripts and styles.
 *
 * @since laundryes 1.0
 */
function laundryes_fonts_url() {
$fonts_url = '';
 
/* Translators: If there are characters in your language that are not
* supported by Raleway, translate this to 'off'. Do not translate
* into your own language.
*/
$lora = _x( 'on', 'Raleway font: on or off', 'laundryes' );
 

 
if ( 'off' !== $lora || 'off' !== $open_sans ) {
$font_families = array();
 
if ( 'off' !== $lora ) {
$font_families[] = 'Raleway:400,700,900';
}
 

 
$query_args = array(
'family' => urlencode( implode( '|', $font_families ) ),
'subset' => urlencode( 'latin,latin-ext' ),
);
 
$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
}
 
return esc_url_raw( $fonts_url );
}

function laundryes_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'laundryes-fonts', laundryes_fonts_url(), array(), null );

	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css');
	wp_enqueue_style( 'fontawesomw', get_template_directory_uri() . '/css/font-awesome.min.css');
	wp_enqueue_style( 'style', get_template_directory_uri() . '/css/style.css');

	// Load the html5 shiv.
	wp_enqueue_script( 'laundryes-html5', get_template_directory_uri() . '/js/html5.js', array('jquery'), '3.7.3' );
	wp_script_add_data( 'laundryes-html5', 'conditional', 'lt IE 9' );
	
	
	
	
	
	wp_enqueue_script( 'modernizr', get_template_directory_uri() . '/js/modernizr.min.js', array('jquery'));
	wp_enqueue_script( 'google-map', 'http://maps.google.com/maps/api/js?key=AIzaSyD_8qpYtXgAzVjAWcYcXwTZ00vIlWBPrgo', array('jquery'), '4.1.5' );
	wp_enqueue_script( 'jqBootstrapValidation', get_template_directory_uri() . '/js/jqBootstrapValidation.js', array('jquery'));
	wp_enqueue_script( 'bootstrap-min', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'));
	wp_enqueue_script( 'bootstrap-hover-dropdown.min', get_template_directory_uri() . '/js/bootstrap-hover-dropdown.min.js', array('jquery'));
	wp_enqueue_script( 'script', get_template_directory_uri() . '/js/script.js', array('jquery'));

	wp_enqueue_script( 'laundryes-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array('jquery'), '20151112', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if ( is_singular() && wp_attachment_is_image() ) {
		wp_enqueue_script( 'laundryes-keyboard-image-navigation', get_template_directory_uri() . '/js/keyboard-image-navigation.js', array( 'jquery' ), '20151104' );
	}

	wp_enqueue_script( 'laundryes-script', get_template_directory_uri() . '/js/functions.js', array( 'jquery' ), '20151204', true );

	wp_localize_script( 'laundryes-script', 'screenReaderText', array(
		'expand'   => esc_html__( 'expand child menu', 'laundryes' ),
		'collapse' => esc_html__( 'collapse child menu', 'laundryes' ),
	) );
}
add_action( 'wp_enqueue_scripts', 'laundryes_scripts' );


add_action( 'admin_enqueue_scripts', 'laundryes_load_admin_style' );
      function laundryes_load_admin_style() {
        wp_register_style( 'admin_css', get_template_directory_uri() . '/css/admin-style.css', false, '1.0.0' );
//OR
        wp_enqueue_style( 'admin_css');
       }
/**
 * Adds custom classes to the array of body classes.
 *
 * @since laundryes 1.0
 *
 * @param array $classes Classes for the body element.
 * @return array (Maybe) filtered body classes.
 */
function laundryes_body_classes( $classes ) {
	// Adds a class of custom-background-image to sites with a custom background image.
	if ( get_background_image() ) {
		$classes[] = 'custom-background-image';
	}

	// Adds a class of group-blog to sites with more than 1 published author.
	if ( is_multi_author() ) {
		$classes[] = 'group-blog';
	}

	// Adds a class of no-sidebar to sites without active sidebar.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$classes[] = 'no-sidebar';
	}

	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	return $classes;
}
add_filter( 'body_class', 'laundryes_body_classes' );



/**
 * Add custom image sizes attribute to enhance responsive image functionality
 * for content images
 *
 * @since laundryes 1.0
 *
 * @param string $sizes A source size value for use in a 'sizes' attribute.
 * @param array  $size  Image size. Accepts an array of width and height
 *                      values in pixels (in that order).
 * @return string A source size value for use in a content image 'sizes' attribute.
 */
function laundryes_content_image_sizes_attr( $sizes, $size ) {
	$width = $size[0];

	840 <= $width && $sizes = '(max-width: 709px) 85vw, (max-width: 909px) 67vw, (max-width: 1362px) 62vw, 840px';

	if ( 'page' === get_post_type() ) {
		840 > $width && $sizes = '(max-width: ' . $width . 'px) 85vw, ' . $width . 'px';
	} else {
		840 > $width && 600 <= $width && $sizes = '(max-width: 709px) 85vw, (max-width: 909px) 67vw, (max-width: 984px) 61vw, (max-width: 1362px) 45vw, 600px';
		600 > $width && $sizes = '(max-width: ' . $width . 'px) 85vw, ' . $width . 'px';
	}

	return $sizes;
}


/**
 * Add custom image sizes attribute to enhance responsive image functionality
 * for post thumbnails
 *
 * @since laundryes 1.0
 *
 * @param array $attr Attributes for the image markup.
 * @param int   $attachment Image attachment ID.
 * @param array $size Registered image size or flat array of height and width dimensions.
 * @return string A source size value for use in a post thumbnail 'sizes' attribute.
 */
function laundryes_post_thumbnail_sizes_attr( $attr, $attachment, $size ) {
	if ( 'post-thumbnail' === $size ) {
		is_active_sidebar( 'sidebar-1' ) && $attr['sizes'] = '(max-width: 709px) 85vw, (max-width: 909px) 67vw, (max-width: 984px) 60vw, (max-width: 1362px) 62vw, 840px';
		! is_active_sidebar( 'sidebar-1' ) && $attr['sizes'] = '(max-width: 709px) 85vw, (max-width: 909px) 67vw, (max-width: 1362px) 88vw, 1200px';
	}
	return $attr;
}
add_filter( 'wp_get_attachment_image_attributes', 'laundryes_post_thumbnail_sizes_attr', 10 , 3 );

/**
 * Modifies tag cloud widget arguments to have all tags in the widget same font size.
 *
 * @since laundryes 1.0
 *
 * @param array $args Arguments for tag cloud widget.
 * @return array A new modified arguments.
 */
function laundryes_widget_tag_cloud_args( $args ) {
	$args['largest'] = 1;
	$args['smallest'] = 1;
	$args['unit'] = 'em';
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'laundryes_widget_tag_cloud_args' );



if ( ! function_exists('laundryes_option') ) {
    function laundryes_option($id, $fallback = false, $param = false ) {
       global $laundryes_option;
       //print_r($gymbreaker_option);
        if ( $fallback == false ) $fallback = '';
        $output = ( isset($laundryes_option[$id]) && $laundryes_option[$id] !== '' ) ? $laundryes_option[$id] : $fallback;
        if ( !empty($laundryes_option[$id]) && $param ) {
            $output = $laundryes_option[$id][$param];
        }
        return $output;
    }
}

if ( ! function_exists('laundryes_url') ) {
    function laundryes_url($id) {
         $headerimg = laundryes_option($id);
         if (isset($headerimg)&& !empty($headerimg)) {
         	# code...
         
    return $headerimg['url'];}
}}

/** 
* Pagination
* @since laundryes 1.0
*/
function laundryes_pagination() {
	if( is_singular() )
		return;

	global $wp_query;

	/** Stop execution if there's only 1 page */
	if( $wp_query->max_num_pages <= 1 )
		return;

	$paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
	$max   = intval( $wp_query->max_num_pages );

	/**	Add current page to the array */
	if ( $paged >= 1 )
		$links[] = $paged;

	/**	Add the pages around the current page to the array */
	if ( $paged >= 3 ) {
		$links[] = $paged - 1;
		$links[] = $paged - 2;
	}

	if ( ( $paged + 2 ) <= $max ) {
		$links[] = $paged + 2;
		$links[] = $paged + 1;
	}

	echo '
          <ul class="pagination">' . "\n";

	/**	Previous Post Link */
	if ( get_previous_posts_link() )
		printf( '<li class="pagination-prev">%s</li>' . "\n", get_previous_posts_link('<i class="fa fa-chevron-left"></i>') );

	/**	Link to first page, plus ellipses if necessary */
	if ( ! in_array( 1, $links ) ) {
		$class = 1 == $paged ? ' class="active"' : '';

		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );

		if ( ! in_array( 2, $links ) )
			echo '<li><span>...</span></li>';
	}

	/**	Link to current page, plus 2 pages in either direction if necessary */
	sort( $links );
	foreach ( (array) $links as $link ) {
		$class = $paged == $link ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
	}

	/**	Link to last page, plus ellipses if necessary */
	if ( ! in_array( $max, $links ) ) {
		if ( ! in_array( $max - 1, $links ) )
			echo '<li><span>...</span></li>' . "\n";

		$class = $paged == $max ? ' class="active"' : '';
		printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
	}

	/**	Next Post Link */
	if ( get_next_posts_link() )
		printf( '<li class="pagination-next">%s</li>' . "\n", get_next_posts_link('<i class="fa fa-chevron-right"></i>') );

	echo '</ul>' . "\n";
}
/**
* Comment Styling
* @since laundryes 1.0
*/
function laundryes_comment( $comment, $args, $depth ) {
   $GLOBALS['comment'] = $comment; ?>

  

			            <div   <?php comment_class(empty( $args['has_children'] ) ? 'media comment' : 'media reply-comment') ?>>
                            <div class="media-left">
                                <a href="#">
                                     <?php echo get_avatar($comment, '80'); ?>
                                </a>
                            </div>
                            <div class="media-body">
                                <h5 class="media-heading"><?php esc_html_e('By','laundryes' );?> :  <?php 	echo get_the_author(); ?><small class="date"><?php echo get_comment_date();?></small>
                                </h5>    
                               <?php comment_text() ?>
                            </div>
                        </div>
			                    
<?php
}

/** 
* fontawesome icons 
* @since laundryes 1.0
*/
function laundryes_get_local_file_contents( $file ) {
      ob_start();
      include $file;
      $contents = ob_get_clean();

      return $contents;
  }
function laundryes_get_fa_icons()
{
	$fa_icons = array();
	$brad_icons = array();
    $fa_pattern = '/\.(fa-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';
	$brad_pattern = '/\.(br-(?:\w+(?:-)?)+):before\s+{\s*content:\s*"(.+)";\s+}/';
    $fa_path = get_template_directory_uri() . '/css/font-awesome.css';
    
	$fa_content = '';
   //WP_Filesystem();
            global $wp_filesystem;

            $fa_content = laundryes_get_local_file_contents($fa_path);
		//$fa_content = file_get_contents($fa_path);
	
   preg_match_all($fa_pattern, $fa_content , $fa_matches, PREG_SET_ORDER);
   foreach($fa_matches as $k => $fa_match){
	   $fa_icons[$fa_match[1]] = $fa_match[1];
   }
   return $fa_icons;
}

/** 
* hex to RGB
* @since laundryes 1.0
*/
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
/** 
* setting inline css
* @since laundryes 1.0
*/
function laundryes_styles_method() {
	global $laundryes_option;
 


$main_color = laundryes_option('main-color');  
$main_color_2 = laundryes_option('main-color-2'); 


$box1_color = laundryes_option('box1color');  
$box2_color = laundryes_option('box2color');  
$box3_color = laundryes_option('box3color');   
$loaderimg = laundryes_url('loaderbg');
$loadercss = '';
if (!empty($loaderimg)) {
	$loadercss = ' .loader {
        	background-image: url("'.esc_url( $loaderimg).'");
        }';
}
$rgba = hex2rgb($main_color);


    wp_enqueue_style(
        'custom-style',
        get_template_directory_uri() . '/css/custom-css.css'
    );
        $color = get_theme_mod( 'my-custom-color' ); //E.g. #FF0000
        $custom_css = $loadercss."
       
        .work-info-item:nth-child(1){
        	background-color:".esc_html($box1_color ).";
        }
        .work-info-item:nth-child(2){
        	background-color:".esc_html($box2_color ).";
        }
.work-info-item:nth-child(3){
	background-color:".esc_html($box3_color ).";
}

::selection {
  color: #fff;
  background: ".laundryes_option('main-color').";
}
::-moz-selection {
  color: #fff;
  background: ".laundryes_option('main-color').";
}
body{
	/*background-color: ".laundryes_option('body-background-color').";
	color:".$laundryes_option['body-font2']['color'].";*/
}
.post {
    background: #fff none repeat scroll 0 0;
}
.fcopy {
    background-color: ".esc_html($main_color_2 ).";}
a:hover,.info h3,.liga-name,.liga-date,.liga-vs,.vc_figure-caption,.top-sosmed span,.color-red,.section.video .page-title .lead,.player-item .item-body .name,.wpb_gallery .prettyphoto::after,.teams-description span,#about-caro .owl-controls .owl-page span,.blog-item .item-body .readmore,.gallery .page-title .lead{
	color:".laundryes_option('main-color').";
}

.subbanner{background:url('".laundryes_url('phbg')."') no-repeat center center;   -webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;}

a,.page-title .sublead,.navbar-main .navbar-nav > li > a:hover, .navbar-main .navbar-nav > li > a:focus, .navbar-main .navbar-nav > li > a:active, .navbar-main .navbar-nav > li.current-menu-item a,.navbar-main .navbar-nav > li.active a, .navbar-main .navbar-nav > li.current-menu-item a,.about .page-title .lead,.page-title .lead{
	color:".laundryes_option('main-color-2').";
}

.box-bg,.header-top,.item .carousel-caption .caption-heading,.pagination a:hover, .pagination a.active {
	background-color:".laundryes_option('main-color-2').";
}


.page-title .border-style,.page-title .border-style:before{
	border-color:".laundryes_option('main-color').";
}
.f-desc{
	background-color:".laundryes_option('background-footer').";
}
.footer-item,.footer-blog-item .footer-blog-lead a,.footer-blog-item::before,.footer-blog-item .footer-blog-date,.sitemap li::before,.sitemap li a,.footer-item .btn-default{
	color:".laundryes_option('color-footer').";
}
.footer-title::after{
	border-color:".laundryes_option('color-footer').";

}


a , .top-sosmed span , .banner .caption a.btn-default,
.wrap-caption a.btn-default, .service-list li .fa , .faq-list li .fa , .testimonials-item .quote-box .q-url , .testimonials-item .quote-box .q-url a,
.blog-item .item-body .lead , .blog-item .item-body > div, .price-detail-body .fa , .footer-blog-item:before, .footer-blog-item .footer-blog-date,
.footer-getintouch-item .icon, {
    color:".esc_html($main_color ).";
    }

.btn-default .panel-pricing .btn-primary, .shake .btn-default, .es_textbox_button{
    
    background-color:".esc_html($main_color ).";
    border-color:".esc_html($main_color ).";}

.header-top , .navbar-toggle .icon-bar, .work-bg-2 , .subbanner, .why-item .icon,
.faq-item .icon , .panel-faq .panel-default > .panel-heading , .stat-client , .blog-item .icon-news,
.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus ,
.author-box, .panel-pricing .price, .footer-sosmed .item , .form-submit input[type='submit']{
  background-color:".esc_html($main_color ).";
}

.bg-overlay{
 background: rgba(".esc_html($rgba[0])." , ".esc_html($rgba[1])." , ".esc_html($rgba[2])." , 0.8);
}

.dropdown-menu {
  
    border-bottom: 4px solid".esc_html($main_color ).";}

.services-item .icon img{
 
  border: 2px solid".esc_html($main_color ).";}

  .testimonials-item .people .img-circle{
  border:2px solid".esc_html($main_color ).";
}

.price-detail-body, .footer-getintouch-item .icon{
  
  border-top:2px solid".esc_html($main_color ).";
  
}


.page-title .lead,.page-title h2, .testimonials-item .people h3, .post-item .post-title,
.post-item .post-title a, .post-item .post-read-more, .comments-box .media-heading , .comments-box .title-heading,
.leave-comment-box .title-heading , .price-detail-heading, .more-info-price a, .contact-address-heading{
 
    color: ".esc_html($main_color_2 ).";}

    .navbar-main .navbar-nav > li > a:hover,
.navbar-main .navbar-nav > li > a:focus,
.navbar-main .navbar-nav > li > a:active , .navbar-main .navbar-nav > li.active a{
  color:".esc_html($main_color_2 ).";}

 , .work-bg-3,  .panel-faq .panel-default > .panel-heading , .panel-faq .panel-default > .panel-heading.active,
  .no-touch #cd-zoom-in:hover,
.no-touch #cd-zoom-out:hover, .fcopy{
  background-color:".esc_html($main_color_2 ).";
}

.widget{
 
  border-top:2px solid ".esc_html($main_color_2 ).";
  }

  .widget .widget-heading:after{
 
    border-bottom: 1px solid ".esc_html($main_color_2 ).";
  
}";



 wp_add_inline_style( 'custom-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'laundryes_styles_method' );  

class saturnthemes_industry_Admin_Menus {
  protected $sub_menus = array();

  public function __construct() {
    $this->sub_menus = apply_filters( 'saturnthemes_admin_menus', $this->sub_menus );

    add_action( 'admin_menu', array( $this, 'menus' ) );
  }

  public function menus() {
    foreach ( $this->sub_menus as $sub_menu ) {
      add_theme_page( $sub_menu['page_title'], $sub_menu['page_title'], $sub_menu['capability'], $sub_menu['menu_slug'], $sub_menu['func'] );
    }
  }
}

return new saturnthemes_industry_Admin_Menus();