<?php
/**
 * The template for displaying search results pages
 *
 * @package WordPress
 * @subpackage laundryes
 * @since laundryes 1.0
 */

get_header(); ?>
<div class="section subbanner">
		<div class="container">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					<div class="caption">
						<h3><?php printf( esc_html__( 'Search Results for: %s', 'laundryes' ), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h3>
						 <?php echo do_shortcode('[breadcrumb]');?>
					</div>
				</div>
			</div>
		</div>
		
	</div>

		

	<div id="services" class="section services">
		<div class="container">
			<div class="row">
				<div class="col-sm-12 col-md-12">
					<div class="page-title"><h2 class="lead"><?php printf( esc_html__( 'Search Results for: %s', 'laundryes' ), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?></h2></div>
				</div>
			</div>
			
			
			<div class="row pbot-main">
			
				<div class="col-xs-12 col-md-8 search-page">
					<?php if ( have_posts() ) : 
					// Start the loop.
					while ( have_posts() ) : the_post();

						/**
						 * Run the loop for the search to output the results.
						 * If you want to overload this in a child theme then include a file
						 * called content-search.php and that will be used instead.
						 */
						get_template_part( 'inc/template-parts/content', 'search' );

					// End the loop.
					endwhile;

					// Previous/next page navigation.
					the_posts_pagination( array(
						'prev_text'          => esc_html__( 'Previous page', 'laundryes' ),
						'next_text'          => esc_html__( 'Next page', 'laundryes' ),
						'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'laundryes' ) . ' </span>',
					) );

					// If no content, include the "No posts found" template.
					else :
						get_template_part( 'inc/template-parts/content', 'none' );

					endif;
						?>

				</div>
				
				<div class="col-xs-12 col-md-4">
					<?php get_sidebar(); ?>
				</div>
			</div>
			
			
			
			
		</div>
	</div>
<?php get_footer(); ?>